%define base_name commons-io

Name: jakarta-%base_name
Version: 1.1
Release: alt0.1
Summary: Commons IO Package

Group: Development/Java
License: Apache Software License
Url: http://jakarta.apache.org/commons/sandbox/io/
Source0: %base_name-%version-dev.tar.bz2

BuildArch: noarch
BuildPreReq: /proc rpm-build-java
BuildRequires: ant ant-junit junit

%description
Commons.IO is a package of Java utility classes for java.io's
hierarchy.  Classes in this package are considered to be so standard
and of such high reuse as to justify existence in java.io.

%package javadoc
Summary: Javadoc for %name
Group: Development/Java
Requires: java-common

%description javadoc
Javadoc for %name

%prep
%setup -q -n io

%build
#export OPT_JAR_LIST="ant/ant-junit junit"
export CLASSPATH=target/classes:target/test-classes

%ant_build \
	-Dbuild.sysclasspath=only \
	dist

%install
%__install -Dpm 644 dist/*.jar %buildroot%_javadir/%name.jar
%__install -dm 755 %buildroot%_javadocdir/%name
%__cp -pr dist/docs/api/* %buildroot%_javadocdir/%name

%files
%doc LICENSE.txt
%_javadir/*.jar

%files javadoc
%doc %_javadocdir/%name

%changelog
* Sun Mar 27 2005 Vladimir Lettiev <crux@altlinux.ru> 1.1-alt0.1
- Initial release for ALT Linux Sisyphus

